#### D.4.3.1 zeroRadical

Procedure from library `assprimeszerodim.lib` (see assprimeszerodim_lib).

Usage:
  zeroRadical(I[, exactness]); I ideal, exactness int

Assume:
  I is zero-dimensional in Q[variables]

Return:
  the radical of I

Note:
  A final test is applied to the result if exactness != 0 (default), otherwise no final test is done.

Example:

    LIB "assprimeszerodim.lib";
    ring R = 0, (x,y), dp;
    ideal I = xy4-2xy2+x, x2-x, y4-2y2+1;
    zeroRadical(I);
    ==> _[1]=y2-1
    ==> _[2]=x2-x

User manual for Singular version 4.4.1, 2025, generated by texi2html.